<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <!-- ===== List View ===== -->
    <record id="woo_category_map_view_list" model="ir.ui.view">
        <field name="name">woo.category.map.list</field>
        <field name="model">woo.category.map</field>
        <field name="arch" type="xml">
            <list>
                <field name="instance_id"/>
                <field name="odoo_category_id"/>
                <field name="woo_category_name"/>
                <field name="woo_category_slug"/>
                <field name="woo_category_id"/>
            </list>
        </field>
    </record>

    <!-- ===== Form View ===== -->
    <record id="woo_category_map_view_form" model="ir.ui.view">
        <field name="name">woo.category.map.form</field>
        <field name="model">woo.category.map</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <group>
                        <group string="WooCommerce Category">
                            <field name="woo_category_id"/>
                            <field name="woo_category_name"/>
                            <field name="woo_category_slug"/>
                        </group>
                        <group string="Odoo Mapping">
                            <field name="instance_id"/>
                            <field name="odoo_category_id"/>
                            <field name="company_id" groups="base.group_multi_company"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

</odoo>
